/*

  This is a part of the Project Frontier's Source code.

  Copyright (C) 1997-98 Francis Gastellu
                    aka Lone Runner/Aegis

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef __MYALLOC_H
#define __MYALLOC_H

#ifdef __cplusplus
extern "C" {
#endif

long coreleft(void);
void *malloc(unsigned size);
void *farmalloc(long size);
void free(void *p);
void *realloc(void *p, unsigned size);
void *farrealloc(void *p, long size);
void *calloc(unsigned size, int n);

#ifdef __cplusplus
}
#endif

#endif
